# opentl::core::cvdata::Blobs::Blobs::BlobInfo Struct Reference

List of all members.

## Public Member Functions
| BlobInfo (const BlobInfo &b)
| BlobInfo ()
double | getAngle ()
double | getMajorAxis ()
double | getMinorAxis ()
double | getX ()
double | getY ()
BlobInfo & | operator= (const BlobInfo &b)
void | setAngle (double val)
void | setMajorAxis (double val)
void | setMinorAxis (double val)
void | setX (double val)
void | setY (double val)
## Public Attributes
std::size_t | area
CvRect | bbox
math::SquareMatrix | covariance
| covariance
math::Vector | eigenVal
| EigenValues.
math::SquareMatrix | eigenVec
| EigenVectors.
std::size_t | perimeter
std::vector< double > | pose

## Constructor & Destructor Documentation

opentl::core::cvdata::Blobs::Blobs::BlobInfo::BlobInfo | ( |  | ) | `[inline]`

opentl::core::cvdata::Blobs::Blobs::BlobInfo::BlobInfo | ( | const BlobInfo & | b | ) | `[inline]`

## Member Function Documentation

double opentl::core::cvdata::Blobs::Blobs::BlobInfo::getAngle | ( |  | ) | `[inline]`

double opentl::core::cvdata::Blobs::Blobs::BlobInfo::getMajorAxis | ( |  | ) | `[inline]`

double opentl::core::cvdata::Blobs::Blobs::BlobInfo::getMinorAxis | ( |  | ) | `[inline]`

double opentl::core::cvdata::Blobs::Blobs::BlobInfo::getX | ( |  | ) | `[inline]`

double opentl::core::cvdata::Blobs::Blobs::BlobInfo::getY | ( |  | ) | `[inline]`

BlobInfo& opentl::core::cvdata::Blobs::Blobs::BlobInfo::operator= | ( | const BlobInfo & | b | ) | `[inline]`

void opentl::core::cvdata::Blobs::Blobs::BlobInfo::setAngle | ( | double | val | ) | `[inline]`

void opentl::core::cvdata::Blobs::Blobs::BlobInfo::setMajorAxis | ( | double | val | ) | `[inline]`

void opentl::core::cvdata::Blobs::Blobs::BlobInfo::setMinorAxis | ( | double | val | ) | `[inline]`

void opentl::core::cvdata::Blobs::Blobs::BlobInfo::setX | ( | double | val | ) | `[inline]`

void opentl::core::cvdata::Blobs::Blobs::BlobInfo::setY | ( | double | val | ) | `[inline]`

## Member Data Documentation

std::size_t opentl::core::cvdata::Blobs::Blobs::BlobInfo::area

CvRect opentl::core::cvdata::Blobs::Blobs::BlobInfo::bbox

math::SquareMatrix opentl::core::cvdata::Blobs::Blobs::BlobInfo::covariance

covariance

math::Vector opentl::core::cvdata::Blobs::Blobs::BlobInfo::eigenVal

EigenValues.

math::SquareMatrix opentl::core::cvdata::Blobs::Blobs::BlobInfo::eigenVec

EigenVectors.

std::size_t opentl::core::cvdata::Blobs::Blobs::BlobInfo::perimeter

std::vector<double> opentl::core::cvdata::Blobs::Blobs::BlobInfo::pose